-- Customer specific once-script UWVA105.
--
-- (c) 2017 Facilitor B.V.
SET ECHO ON
SPOOL xuwva105.lst
SET DEFINE OFF

-- UWVA#39432: Insert nieuwe '3 weken'-termijn met key=51!
INSERT INTO cnt_termijn (cnt_termijn_key,
                         cnt_termijn_omschrijving,
                         cnt_termijn_type,
                         cnt_termijn_aantal,
                         cnt_termijn_volgnummer)
   SELECT 51,
          '3 Weken',
          'W',
          3,
          25
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1
                        FROM cnt_termijn
                       WHERE cnt_termijn_key = 51);

-- UWVA#39432: Van alle lopende Abo-contracten de Opzegtermijn naar 'Geen' met
--             key=1 en Rappeltermijn naar nieuwe '3 weken'-waarde met key=51!
UPDATE cnt_contract c
   SET c.cnt_contract_opzegtermijn = 1,
       c.cnt_contract_rappeltermijn = 51
 WHERE c.ins_discipline_key = 360
       AND c.cnt_contract_status = 0                         -- NIET Gesloten!
       AND NOT EXISTS         -- Beschouw alleen laatste versie van contracten
             (SELECT 1
                FROM cnt_v_aanwezigcontract
               WHERE cnt_contract_nummer_intern = c.cnt_contract_nummer_intern
                     AND cnt_contract_versie > c.cnt_contract_versie)
       AND c.cnt_contract_looptijd_tot > SYSDATE;

COMMIT;
BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF

@@uwva_prs.sql
--@@uwva_fin.sql
--@@uwva_hv.sql
@@uwva_misc.sql

BEGIN fac.registercustversion('UWVA', 105); END;
/
COMMIT;
